Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Endpoint_Selector_Factory Class Reference

Factory for initializing <Endpoint_Selection_State> and obtaining appropriate <Invocation_Endpoint_Selector>. More...

`#include <Endpoint_Selector_Factory.h>`

Inheritance diagram for TAO_Endpoint_Selector_Factory

[legend]
Collaboration diagram for TAO_Endpoint_Selector_Factory:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Endpoint_Selector_Factory (void)
| Destructor.
virtual TAO_Invocation_Endpoint_Selector* | get_selector ( TAO_GIOP_Invocation *invocation, CORBA::Environment &ACE_TRY_ENV) = 0
| Get an Invocation's endpoint selection strategy and initialize the endpoint selection state instance.

## Detailed Description

Factory for initializing <Endpoint_Selection_State> and obtaining appropriate <Invocation_Endpoint_Selector>.

Used by Invocation classes to intialize its endpoint selection strategy and state based on the effective policies. Endpoint selection strategies are stateless objects - all the state they need is contained by Invocation in <Endpoint_Selection_State>. Thus, rather than allocating an endpoint selection strategy object for each Invocation, the factory simply returns the appropriate one from the set preallocated in the ORB_Core. One endpoint selection strategy object can be used by many invocations concurrently.

## Constructor & Destructor Documentation

TAO_Endpoint_Selector_Factory::~TAO_Endpoint_Selector_Factory ( | void )`[inline, virtual]`

| Destructor.

## Member Function Documentation

TAO_Invocation_Endpoint_Selector * TAO_Endpoint_Selector_Factory::get_selector ( | TAO_GIOP_Invocation * invocation,
| CORBA::Environment & ACE_TRY_ENV )`[pure virtual]`

| Get an Invocation's endpoint selection strategy and initialize the endpoint selection state instance. Reimplemented in TAO_Default_Endpoint_Selector_Factory.

The documentation for this class was generated from the following files:

- Endpoint_Selector_Factory.h
- Endpoint_Selector_Factory.cpp